apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  labels:
    machineconfiguration.openshift.io/role: worker
  name: 98-var-log-partition
spec:
  config:
    ignition:
      version: 3.1.0
    storage:
      disks:
      - device: /dev/nvme0n1
        wipeTable: false
        partitions:
        - sizeMiB: 47000
          startMiB: 47000
          label: var-log
      filesystems:
        - path: /var/log
          device: /dev/disk/by-partlabel/var-log
          format: xfs
    systemd:
      units:
        - name: var-log.mount
          enabled: true
          contents: |
            [Unit]
            Before=local-fs.target
            [Mount]
            Where=/var/log
            What=/dev/disk/by-partlabel/var-log
            [Install]
            WantedBy=local-fs.target
